package CK.IA;

import java.util.Vector;

public class Face3d {
	Vector<Integer> indexes;

	public Face3d(Vector<Integer> indexes) {
		this.indexes = indexes;

	}

	public void generateLines(Vector<Line3d> lines) {
		// generate edges from face
		int size = indexes.size();
		int v0, v1;
		for (int i = 0; i < size; i++) {
			if (i == size - 1) {
				v0 = indexes.get(size - 1);
				v1 = indexes.get(0);
			} else {
				v0 = indexes.get(i);
				v1 = indexes.get(i + 1);
			}
			lines.add(new Line3d(v0, v1));
		}

	}

	public String toString() {
		String s = "(";
		int i;
		for (i = 0; i < indexes.size() - 1; i++) {
			s += indexes.get(i) + ",";
		}
		s += indexes.get(i) + ")";
		return s;
	}

}
